# fortios_wireless_controller_ble_profile – Configure Bluetooth Low Energy profile in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify wireless_controller feature and ble_profile category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

state
string / required

Choices:
- present
- absent

Indicates whether to create or remove the object.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.
wireless_controller_ble_profile dictionary | Default: null | Configure Bluetooth Low Energy profile.

advertising
string

Choices:
- ibeacon
- eddystone-uid
- eddystone-url

Advertising type.

| beacon_interval integer |  | Beacon interval .

ble_scanning
string

Choices:
- enable
- disable

Enable/disable Bluetooth Low Energy (BLE) scanning.

| comment string |  | Comment.
| eddystone_instance string |  | Eddystone instance ID.
| eddystone_namespace string |  | Eddystone namespace ID.
| eddystone_url string |  | Eddystone URL.
| eddystone_url_encode_hex string |  | Eddystone encoded URL hexadecimal string
| ibeacon_uuid string |  | Universally Unique Identifier (UUID; automatically assigned but can be manually reset).
| major_id integer |  | Major ID.
| minor_id integer |  | Minor ID.
| name string / required |  | Bluetooth Low Energy profile name.

txpower
string

Choices:
- 0
- 1
- 2
- 3
- 4
- 5
- 6
- 7
- 8
- 9
- 10
- 11
- 12

Transmit power level .

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure Bluetooth Low Energy profile.
        fortios_wireless_controller_ble_profile:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          wireless_controller_ble_profile:
            advertising: "ibeacon"
            beacon_interval: "4"
            ble_scanning: "enable"
            comment: "Comment."
            eddystone_instance: "<your_own_value>"
            eddystone_namespace: "<your_own_value>"
            eddystone_url: "<your_own_value>"
            eddystone_url_encode_hex: "<your_own_value>"
            ibeacon_uuid: "<your_own_value>"
            major_id: "12"
            minor_id: "13"
            name: "default_name_14"
            txpower: "0"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.